01 // namespaceの後に追加
02 use Example\UserRegistration\Domain\Model\User;
03 use Example\UserRegistration\Domain\Factory\UserFactory;
04 use Example\UserRegistration\Domain\Service\UserRegistrationService;
05 
06 // 以降をクラスの本体に追加
07 /**
08  * @var \Example\UserRegistration\Domain\Factory\UserFactory
09  * @Flow\Inject
10  */
11 protected $userFactory;
12 
13 /**
14  * @var \Example\UserRegistration\Domain\Service\UserRegistrationService
15  * @Flow\Inject
16  */
17 protected $userRegistrationService;
18 
19 /**
20  * 登録テストコマンド
21  * 
22  * @param string $userName
23  * @param string $email
24  * @return void
25  */
26 public function registerCommand($userName, $email)
27 {
28   $user = $this->userFactory->create();
29   $user->setUserName($userName);
30   $user->setEmail($email);
31   
32   $this->userRegistrationService->register($user);
33 }
